Lua
Lua::call
Lua
PHP Manual

# Lua::assign

(PECL lua >=0.9.0)

Lua::assign — Assign a PHP variable to Lua

### Beschreibung

public mixed Lua::assign ( string `$name` , string `$value` )

Warnung

Diese Funktion ist bis jetzt nicht dokumentiert. Es steht nur die Liste der Argumente zur Verfügung.

### Parameter-Liste

`name`

`value`

### Rückgabewerte

Returns $this or `NULL` on failure.

### Beispiele

Beispiel #1 Lua::assign()example

`<?php
$lua = new Lua();
$lua->assign("php_var", array(1=>1, 2, 3)); //lua table index begin with 1
$lua->eval(<<<CODE
print(php_var);
CODE
);
?>`

Das oben gezeigte Beispiel erzeugt folgende Ausgabe:

    Array
     (
         [1] => 1
         [2] => 2
         [3] => 3
     )

Lua
Lua::call
Lua
PHP Manual